/**
 * Global
 */
.pl-target.hidden {
    visibility: hidden;
}
.pl-target {
    visibility: visible;
}
.page-loader {
    display: block;
    position: fixed;
    left: 0px;
    top: 0px;
    z-index: 100;
    width: 100%;
    height: 100%;
    overflow:hidden;
    background: url("../../images/bg_loading_dialog.png");
    background-repeat: repeat;
    background-attachment: fixed;
    background-position: 0px 0px;
    background-color:#ffffff;
}
.page-loader.flipOutX {
    animation-name: flipOutX;
    animation-duration: 0.75s;
    animation-fill-mode: forwards;
    
    -webkit-animation-name: flipOutX;
    -webkit-animation-duration: 0.75s;
    -webkit-animation-fill-mode: forwards;

    -ms-animation-name: flipOutX;
    -ms-animation-duration: 0.75s;
    -ms-animation-fill-mode: forwards;

    -moz-animation-name: flipOutX;
    -moz-animation-duration: 0.75s;
    -moz-animation-fill-mode: forwards;

    -webkit-backface-visibility: visible !important;
    backface-visibility: visible !important;
}

/**
 * Page Loader Info
 */
.page-loader .info-container {
    display:block;
    position: relative;
    left: 0px;
    top: 30%;
    width: 100%;
    height: 40%;
}
.page-loader .info-container .loading-img {
    display:block;
    position: relative;
    left:0px;
    top:0px;
    margin:auto;
    width:75px;
    height:auto;
    border-radius:90px;
    visibility: visible;
}
.page-loader .info-container .main-msg,
.page-loader .info-container .support-msg {
    display:block;
    position: relative;
    left:0px;
    top:0px;
    margin:auto;
    width:100%;
    height:auto;
    padding-left:30px;
    padding-right:30px;
    text-align: center;
}
.page-loader .info-container .main-msg {
    font-size:1.3em;
    font-weight: 600;
    margin-top: 50px;
    color: #111111;
}
.page-loader .info-container .support-msg {
    font-size:1em;
    font-weight: 500;
    margin-top: 10px;
    color: #9fa9b3;
}

@media(max-width:767px) {

    .page-loader .info-container .main-msg,
    .page-loader .info-container .support-msg {
        padding-left:15px;
        padding-right:15px;
    }

}

/**
 * Dismiss dialog
 */
@keyframes flipOutX {
    from {
        -webkit-transform: perspective(400px);
        transform: perspective(400px);
        opacity: 1;
        height:calc(var(--vh, 1vh) * 100);
    }
    30% {
        -webkit-transform: perspective(400px) rotate3d(1, 0, 0, -20deg);
        transform: perspective(400px) rotate3d(1, 0, 0, -20deg);
        opacity: 1;
        height:calc(var(--vh, 1vh) * 80);
    }
    to {
        -webkit-transform: perspective(400px) rotate3d(1, 0, 0, 90deg);
        transform: perspective(400px) rotate3d(1, 0, 0, 90deg);
        opacity: 0;
        height:calc(var(--vh, 1vh) * 0);
    }
}
@-moz-keyframes flipOutX {
    from {
        -webkit-transform: perspective(400px);
        transform: perspective(400px);
        height:calc(var(--vh, 1vh) * 100);
        opacity: 1;
    }
    30% {
        -webkit-transform: perspective(400px) rotate3d(1, 0, 0, -20deg);
        transform: perspective(400px) rotate3d(1, 0, 0, -20deg);
        opacity: 1;
        height:calc(var(--vh, 1vh) * 80);
    }
    to {
        -webkit-transform: perspective(400px) rotate3d(1, 0, 0, 90deg);
        transform: perspective(400px) rotate3d(1, 0, 0, 90deg);
        opacity: 0;
        height:calc(var(--vh, 1vh) * 0);
    }
}
@-webkit-keyframes flipOutX {
    from {
        -webkit-transform: perspective(400px);
        transform: perspective(400px);
        height:calc(var(--vh, 1vh) * 100);
        opacity: 1;
    }
    30% {
        -webkit-transform: perspective(400px) rotate3d(1, 0, 0, -20deg);
        transform: perspective(400px) rotate3d(1, 0, 0, -20deg);
        opacity: 1;
        height:calc(var(--vh, 1vh) * 80);
    }
    to {
        -webkit-transform: perspective(400px) rotate3d(1, 0, 0, 90deg);
        transform: perspective(400px) rotate3d(1, 0, 0, 90deg);
        opacity: 0;
        height:calc(var(--vh, 1vh) * 0);
    }
}